import { WebRpcTest } from "@website/common/webrpc"
import { Effect, Layer } from "effect"


export const PingV1Live = WebRpcTest.WebRpcTest.toLayerHandler("Test.PingV1", Effect.succeed(() => Effect.succeed("pong" as const)))

export const WebRpcTestLive = Layer.mergeAll(
    PingV1Live,
) satisfies ReturnType<typeof WebRpcTest.WebRpcTest.toLayer>
